Create androidWorkProfileEnterpriseWiFiConfiguration

名前空間: microsoft.graph

重要: Microsoft Graph /beta バージョンの API は変更される場合があります。実稼働での使用はサポートされていません。

注: Intune 用 Microsoft Graph API には、テナントの 有効な Intune ライセンスが必要です。

新しい androidWorkProfileEnterpriseWiFiConfiguration オブジェクトを作成 します。

前提条件

この API を呼び出すには、次のいずれかのアクセス許可が必要です。アクセス許可の選択方法などの詳細については、「アクセス許可」を参照してください。

アクセス許可の種類 アクセス許可 (特権の小さいものから大きいものへ)
委任 (職場または学校アカウント) DeviceManagementConfiguration.ReadWrite.All
委任 (個人用 Microsoft アカウント) サポートされていません。
アプリケーション DeviceManagementConfiguration.ReadWrite.All

HTTP 要求

POST /deviceManagement/deviceConfigurations
POST /deviceManagement/deviceConfigurations/{deviceConfigurationId}/microsoft.graph.windowsDomainJoinConfiguration/networkAccessConfigurations

要求ヘッダー

ヘッダー
Authorization ベアラー <トークン> が必要です。
承諾 application/json

要求本文

要求本文で、androidWorkProfileEnterpriseWiFiConfiguration オブジェクトの JSON 表記を指定します。

次の表に、androidWorkProfileEnterpriseWiFiConfiguration を作成するときに必要なプロパティを示します。

プロパティ 説明
id String エンティティのキー。 deviceConfiguration から継承します
lastModifiedDateTime DateTimeOffset オブジェクトの最終更新の DateTime。 deviceConfiguration から継承します
roleScopeTagIds String collection この Entity インスタンスのスコープ タグの一覧。 deviceConfiguration から継承します
supportsScopeTags Boolean 基になるデバイス構成がスコープ タグの割り当てをサポートするかどうかを示します。 ScopeTags プロパティへの割り当ては、この値が false で、エンティティがスコープ付きユーザーに表示されない場合は許可されません。 これは Silverlight で作成された従来のポリシーで発生し、Azure Portal でポリシーを削除して再作成することで解決できます。 このプロパティに値を設定するには、 SetExtrusionDirection メソッドを適用します。 deviceConfiguration から継承します
deviceManagementApplicabilityRuleOsEdition deviceManagementApplicabilityRuleOsEdition このポリシーの OS エディションの適用性。 deviceConfiguration から継承します
deviceManagementApplicabilityRuleOsVersion deviceManagementApplicabilityRuleOsVersion このポリシーの OS バージョンの適用ルール。 deviceConfiguration から継承します
deviceManagementApplicabilityRuleDeviceMode deviceManagementApplicabilityRuleDeviceMode このポリシーのデバイス モードの適用ルール。 deviceConfiguration から継承します
createdDateTime DateTimeOffset オブジェクトが作成された DateTime。 deviceConfiguration から継承します
description String 管理者が指定した、デバイス構成についての説明。 deviceConfiguration から継承します
displayName String 管理者が指定した、デバイス構成の名前。 deviceConfiguration から継承します
version Int32 デバイス構成のバージョン。 deviceConfiguration から継承します
networkName String ネットワーク名 androidWorkProfileWiFiConfiguration から継承
ssid String これは、すべてのデバイスにブロードキャストWi-Fiネットワークの名前です。 androidWorkProfileWiFiConfiguration から継承
connectAutomatically Boolean Connectネットワークが範囲内にある場合、自動的に設定されます。 これを true に設定すると、ユーザー プロンプトがスキップされ、デバイスが自動的にネットワークにWi-Fiされます。 androidWorkProfileWiFiConfiguration から継承
connectWhenNetworkNameIsHidden Boolean true に設定すると、このプロファイルは、SSID をすべてのデバイスにブロードキャストしないネットワークにデバイスを強制的に接続します。 androidWorkProfileWiFiConfiguration から継承
wiFiSecurityType androidWiFiSecurityType エンドポイントが EAP ベースWi-Fiを使用するかどうかを示します。 androidWorkProfileWiFiConfiguration から継承されます。 可能な値は、openwpaEnterprisewpa2Enterprise です。
eapType androidEapType エンドポイント (ルーター) の EAP プロトコル セットWi-Fi示します。 可能な値は、eapTlseapTtlspeap です。
trustedServerCertificateNames String collection EAP Type が EAP-TLS/TTLS/FASTまたは PEAP に構成されている場合の信頼済みサーバー証明書名。 これは、信頼できる証明機関 (CA) によって発行された証明書で使用される一般的な名前です。 この情報を提供する場合は、エンド ユーザーがネットワークに接続するときにエンド ユーザーのデバイスに表示される動的信頼ダイアログをWi-Fiできます。
authenticationMethod wiFiAuthenticationMethod EAP の種類が PEAP または EAP-TTLS に構成されている場合にクライアント (デバイス) が使用する必要がある認証方法を示します。 可能な値は、certificateusernameAndPasswordderivedCredential です。
innerAuthenticationProtocolForEapTtls nonEapAuthenticationMethodForEapTtlsType EAP の種類が EAP-TTLS で、Authenticationmethod がユーザー名とパスワードである場合の認証 (内部 ID) の非 EAP 方式。 使用可能な値: unencryptedPasswordchallengeHandshakeAuthenticationProtocolmicrosoftChapmicrosoftChapVersionTwo
innerAuthenticationProtocolForPeap nonEapAuthenticationMethodForPeap EAP の種類が PEAP で、Authenticationmethod がユーザー名とパスワードである場合の非 EAP 認証方式 (内部 ID)。 可能な値は、nonemicrosoftChapVersionTwo です。
outerIdentityPrivacyTemporaryValue String EAP Type が EAP-TTLS または PEAP に構成されている場合は、ID プライバシー (外部 ID) を有効にしてください。 ここで提供される文字列は、ユーザーがネットワークに接続しようとするときに、個々のユーザーのユーザー名Wi-Fiされます。
proxySettings wiFiProxySetting この接続のプロキシの種類Wi-Fiします。 可能な値は、nonemanualautomatic です。
proxyAutomaticConfigurationUrl String 自動構成が選択されている場合のプロキシ サーバーの自動構成スクリプトの URL。 この URL は、通常、PAC (プロキシ自動構成) ファイルの場所です。

応答

成功した場合、このメソッドは応答コードと、応答本文の 201 Created androidWorkProfileEnterpriseWiFiConfiguration オブジェクトを返します。

要求

以下は、要求の例です。

POST https://graph.microsoft.com/beta/deviceManagement/deviceConfigurations
Content-type: application/json
Content-length: 1761

{
  "@odata.type": "#microsoft.graph.androidWorkProfileEnterpriseWiFiConfiguration",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "supportsScopeTags": true,
  "deviceManagementApplicabilityRuleOsEdition": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
    "osEditionTypes": [
      "windows10EnterpriseN"
    ],
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleOsVersion": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
    "minOSVersion": "Min OSVersion value",
    "maxOSVersion": "Max OSVersion value",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleDeviceMode": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
    "deviceMode": "sModeConfiguration",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "networkName": "Network Name value",
  "ssid": "Ssid value",
  "connectAutomatically": true,
  "connectWhenNetworkNameIsHidden": true,
  "wiFiSecurityType": "wpaEnterprise",
  "eapType": "eapTtls",
  "trustedServerCertificateNames": [
    "Trusted Server Certificate Names value"
  ],
  "authenticationMethod": "usernameAndPassword",
  "innerAuthenticationProtocolForEapTtls": "challengeHandshakeAuthenticationProtocol",
  "innerAuthenticationProtocolForPeap": "microsoftChapVersionTwo",
  "outerIdentityPrivacyTemporaryValue": "Outer Identity Privacy Temporary Value value",
  "proxySettings": "manual",
  "proxyAutomaticConfigurationUrl": "https://example.com/proxyAutomaticConfigurationUrl/"
}

応答

以下は、応答の例です。注:簡潔にするために、ここに示す応答オブジェクトは切り詰められている場合があります。すべてのプロパティは実際の呼び出しから返されます。

HTTP/1.1 201 Created
Content-Type: application/json
Content-Length: 1933

{
  "@odata.type": "#microsoft.graph.androidWorkProfileEnterpriseWiFiConfiguration",
  "id": "c48cd726-d726-c48c-26d7-8cc426d78cc4",
  "lastModifiedDateTime": "2017-01-01T00:00:35.1329464-08:00",
  "roleScopeTagIds": [
    "Role Scope Tag Ids value"
  ],
  "supportsScopeTags": true,
  "deviceManagementApplicabilityRuleOsEdition": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsEdition",
    "osEditionTypes": [
      "windows10EnterpriseN"
    ],
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleOsVersion": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleOsVersion",
    "minOSVersion": "Min OSVersion value",
    "maxOSVersion": "Max OSVersion value",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "deviceManagementApplicabilityRuleDeviceMode": {
    "@odata.type": "microsoft.graph.deviceManagementApplicabilityRuleDeviceMode",
    "deviceMode": "sModeConfiguration",
    "name": "Name value",
    "ruleType": "exclude"
  },
  "createdDateTime": "2017-01-01T00:02:43.5775965-08:00",
  "description": "Description value",
  "displayName": "Display Name value",
  "version": 7,
  "networkName": "Network Name value",
  "ssid": "Ssid value",
  "connectAutomatically": true,
  "connectWhenNetworkNameIsHidden": true,
  "wiFiSecurityType": "wpaEnterprise",
  "eapType": "eapTtls",
  "trustedServerCertificateNames": [
    "Trusted Server Certificate Names value"
  ],
  "authenticationMethod": "usernameAndPassword",
  "innerAuthenticationProtocolForEapTtls": "challengeHandshakeAuthenticationProtocol",
  "innerAuthenticationProtocolForPeap": "microsoftChapVersionTwo",
  "outerIdentityPrivacyTemporaryValue": "Outer Identity Privacy Temporary Value value",
  "proxySettings": "manual",
  "proxyAutomaticConfigurationUrl": "https://example.com/proxyAutomaticConfigurationUrl/"
}